%define anolis_release 2

%global srcname py

Name:           python-%{srcname}
Version:        1.11.0
Release:        %{anolis_release}%{?dist}
Summary:        Library with cross-python path, ini-parsing, io, code, log facilities
License:        MIT and Public Domain
#               main package: MIT, except: doc/style.css: Public Domain
URL:            http://py.readthedocs.io/
Source:         %{pypi_source}
BuildArch:      noarch

%description
The py lib is a Python development support library featuring the
following tools and modules:

  * py.path: uniform local and svn path objects
  * py.apipkg: explicit API control and lazy-importing
  * py.iniconfig: easy parsing of .ini files
  * py.code: dynamic code generation and introspection
  * py.path: uniform local and svn path objects


%package -n python3-%{srcname}
Summary:        Library with cross-python path, ini-parsing, io, code, log facilities
BuildRequires:  python3-devel
Requires:       python3-setuptools
%{?python_provide:%python_provide python3-%{srcname}}
Provides:       bundled(python3-apipkg) = 2.0
Provides:       bundled(python3-iniconfig) = 1.1.1
Obsoletes:      platform-python-%{srcname} < %{version}-%{release}

%description -n python3-%{srcname}
The py lib is a Python development support library featuring the
following tools and modules:

  * py.path: uniform local and svn path objects
  * py.apipkg: explicit API control and lazy-importing
  * py.iniconfig: easy parsing of .ini files
  * py.code: dynamic code generation and introspection
  * py.path: uniform local and svn path objects

%package -n     python3-%{srcname}-doc
Summary:        doc files for python3-%{srcname}
Requires:       python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-doc
doc files for python3-%{srcname}

%prep
%autosetup -n %{srcname}-%{version}

# remove shebangs and fix permissions
find . \
   -type f -a \( -name '*.py' -o -name 'py.*' \) \
   -exec sed -i '1{/^#!/d}' {} \; \
   -exec chmod u=rw,go=r {} \;

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install

# Remove bundled dist/egg-info directories, they shouldn't be shipped for
# bundled modules and in some cases they could confuse automatic generators
# that read the dist/egg-info data.
rm -rf %{buildroot}%{python3_sitelib}/py/_vendored_packages/*.{dist,egg}-info


%check
%py3_check_import %{srcname}

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/py-%{version}.dist-info/
%{python3_sitelib}/py/

%files -n python3-%{srcname}-doc
%doc README.rst CHANGELOG.rst

%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.11.0-2
- Rebuild with python3.11

* Thu Mar 16 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.11.0-1
- Init upstream from version 1.11.0
